# Generated by Django 4.0.7 on 2022-08-09 12:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import modelcluster.contrib.taggit
import modelcluster.fields
import phonenumber_field.modelfields
import wagtail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('glamour_products', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wagtailimages', '0024_index_image_file_hash'),
        ('taggit', '0004_alter_taggeditem_content_type_alter_taggeditem_tag'),
        ('glamour_cars', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Car',
            fields=[
                ('product_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='glamour_products.product')),
                ('description', wagtail.fields.RichTextField(help_text='Describe the here.', null=True, verbose_name='description')),
                ('price', models.DecimalField(decimal_places=2, default=0.0, max_digits=15, verbose_name='Price')),
                ('condition', models.CharField(choices=[('new-car', 'New Car'), ('used-car', 'Used Car')], default='new-car', help_text='Filter by car conditions', max_length=255, verbose_name='Condition')),
                ('previous_owner', models.CharField(blank=True, help_text='Used for used car.', max_length=255, null=True, verbose_name='Previous Owner')),
                ('interior_colour', models.CharField(blank=True, max_length=100, null=True, verbose_name='interior colour')),
                ('exterior_colour', models.CharField(blank=True, max_length=100, null=True, verbose_name='exterior colour')),
                ('year', models.CharField(blank=True, max_length=6, null=True, verbose_name='year')),
                ('engine', models.CharField(blank=True, max_length=100, null=True, verbose_name='engine')),
                ('tax_year', models.DateField(blank=True, default=django.utils.timezone.now, null=True, verbose_name='tax_year')),
                ('last_service', models.DateField(blank=True, default=django.utils.timezone.now, null=True, verbose_name='last_service')),
                ('mileage', models.IntegerField(blank=True, default=0, null=True, verbose_name='mileage')),
                ('brand', models.ForeignKey(help_text='Select car brand.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cars', to='glamour_cars.brand', verbose_name='Brand')),
            ],
            options={
                'verbose_name': 'Car',
                'verbose_name_plural': 'Cars',
            },
            bases=('glamour_products.product', models.Model),
        ),
        migrations.CreateModel(
            name='CarConsignment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('waiting', 'Waiting for Moderation'), ('moderated', 'Moderated')], default='waiting', max_length=50, verbose_name='Status')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('full_name', models.CharField(max_length=50, verbose_name='full name')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid phone number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='email')),
                ('brand_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='other brand')),
                ('message', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='message')),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='submissions', to='glamour_cars.brand')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='car_submissions', to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
            options={
                'verbose_name': 'Consignment',
                'verbose_name_plural': 'Consignments',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TaggedCar',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='glamour_cars.car')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_items', to='taggit.tag')),
            ],
            options={
                'verbose_name': 'Tags',
                'verbose_name_plural': 'Content Tags',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CarSpecification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('specification', models.TextField(max_length=255, verbose_name='specification')),
                ('car', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='specifications', to='glamour_cars.car')),
            ],
            options={
                'verbose_name': 'Car Specification',
                'verbose_name_plural': 'Car Specifications',
            },
        ),
        migrations.CreateModel(
            name='CarInquiry',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('waiting', 'Waiting for Moderation'), ('moderated', 'Moderated')], default='waiting', max_length=50, verbose_name='Status')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('full_name', models.CharField(max_length=50, verbose_name='full name')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Enter a valid phone number (e.g. +12125552368).', max_length=128, null=True, region=None, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='email')),
                ('message', models.TextField(blank=True, null=True, verbose_name='message')),
                ('car', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='inquiries', to='glamour_cars.car')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='inquiries', to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
            options={
                'verbose_name': 'Inquiry',
                'verbose_name_plural': 'Inquiries',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CarGalleryImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('caption', models.CharField(blank=True, max_length=250, verbose_name='caption')),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image', verbose_name='image')),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='gallery_images', to='glamour_cars.car')),
            ],
            options={
                'verbose_name': 'Car Gallery',
                'verbose_name_plural': 'Car Galleries',
            },
        ),
        migrations.CreateModel(
            name='CarConsignmentGallery',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='wagtailimages.image', verbose_name='image')),
                ('submission', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='gallery_images', to='glamour_cars.carconsignment')),
            ],
            options={
                'verbose_name': 'Car Consignment Gallery',
                'verbose_name_plural': 'Car Consignment Galleries',
            },
        ),
        migrations.AddField(
            model_name='car',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='glamour_cars.TaggedCar', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='car',
            name='thumbnail',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='thumbnail'),
        ),
        migrations.AddField(
            model_name='brand',
            name='logo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='logo'),
        ),
        migrations.CreateModel(
            name='CarPricing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('type', models.CharField(choices=[('custom-default', 'Custom Default')], default='custom-default', help_text='Filter by car conditions', max_length=255, verbose_name='Condition')),
                ('price', models.DecimalField(decimal_places=2, default=0.0, max_digits=15, verbose_name='Price')),
                ('car', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='pricings', to='glamour_cars.car')),
            ],
            options={
                'verbose_name': 'Car Pricing',
                'verbose_name_plural': 'Car Pricings',
                'unique_together': {('car', 'type')},
            },
        ),
    ]
